      subroutine hec_dwpc_zebra
c
c read bank DWPC
c
      implicit none
c
c beam parameter DWPC common
c
      include'hec_dwpc.inc'
c
c zebra common
c
      include'hec_zebra.inc'
c
c local variable declarations
c
      integer i, ind2
c
c get appropriate index
c
      ind2 = 2*ipointz + 2
c
      n_dwpc = iq2(ind2 - 1) - 1
      if (n_dwpc .lt. 0) then
        print *, ' *** error reading DWPC', n_dwpc
        call hec_ter
        stop
      elseif (n_dwpc .gt. dwpc_dim) then
        print *, ' *** dwpc_words array too small in hec_dwpc_zebra', 
     +  n_dwpc, dwpc_dim
        stop
      elseif (n_dwpc .gt. 0) then
        do i = 1, n_dwpc
          dwpc_words(i) = iq2(ind2 + i)
        enddo 
      endif
c
c     print *, ' *** DWPC read'
c
      end
